//
// This program and source are subject to the GPL Open Source License
// Please refer to the following document
// http://www.borland.com/kylix/gpl.html

//---------------------------------------------------------------------------
#ifndef SMP_Test_FormH
#define SMP_Test_FormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <QControls.hpp>
#include <QStdCtrls.hpp>
#include <QForms.hpp>
#include <QButtons.hpp>
#include <QComCtrls.hpp>
#include <QExtCtrls.hpp>
#include <QTypes.hpp>
//----------------------------------------------------------------------------
#define NSMPTASKS 8
//---------------------------------------------------------------------------
class TSMPTestForm : public TForm
{
__published:	// IDE-managed Components
  TGroupBox *GroupBox1;
  TProgressBar *ProgressBar1;
  TEdit *Edit1;
  TRadioGroup *Operation;
  TRadioGroup *CodeType;
  TRadioGroup *MemorySize;
  TGroupBox *GroupBox3;
  TEdit *Edit2;
  TBitBtn *CloseButton;
  TRadioGroup *RunTasks;
  TTimer *Timer1;
  TCheckBox *RunRealtime;
  TCheckBox *LockMemory;
  void __fastcall FormShow(TObject *Sender);
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
  void __fastcall Timer1Timer(TObject *Sender);
  void __fastcall RunTasksClick(TObject *Sender);
  void __fastcall RunRealtimeClick(TObject *Sender);
  void __fastcall LockMemoryClick(TObject *Sender);
private:	// User declarations
	int RTasks;
	TThread* Tasks[NSMPTASKS];
	double TotalRun;
  double TotalOne;
	double TotalBytesPerSecond;
  #ifdef __linux__
  int min_prio,max_prio,def_prio;
  #endif
public:		// User declarations
  __fastcall TSMPTestForm(TComponent* Owner);
  void AdjustTasks(int NTasks);
  void SetControls(bool enabled);
};
//---------------------------------------------------------------------------
extern PACKAGE TSMPTestForm *SMPTestForm;
//---------------------------------------------------------------------------
#endif
