//
// This program and source are subject to the GPL Open Source License
// Please refer to the following document
// http://www.borland.com/kylix/gpl.html

//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <QControls.hpp>
#include <QStdCtrls.hpp>
#include <QForms.hpp>
#include <QExtCtrls.hpp>
#include <QTypes.hpp>
#include <QButtons.hpp>
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
  TTimer *Timer1;
  TGroupBox *GroupBox1;
  TButton *Button1;
  TButton *Button2;
  TButton *Button3;
  TCheckBox *SetWorkingSet;
  TGroupBox *GroupBox2;
  TMemo *Memo1;
  TEdit *Edit1;
  TEdit *Edit2;
  TEdit *Edit3;
  TLabel *Label1;
  TLabel *Label2;
  TLabel *Label3;
  TEdit *Edit4;
  TLabel *Label4;
  TSpeedButton *SpeedButton1;
  TLabel *Label5;
  TEdit *Edit5;
  TSpeedButton *SpeedButton2;
  TCheckBox *RunRealtime;
  TCheckBox *LockMemory;
  void __fastcall FormShow(TObject *Sender);
  void __fastcall FormHide(TObject *Sender);
  void __fastcall Button1Click(TObject *Sender);
  void __fastcall Button2Click(TObject *Sender);
  void __fastcall Button3Click(TObject *Sender);
  void __fastcall Timer1Timer(TObject *Sender);
  void __fastcall SpeedButton1Click(TObject *Sender);
  void __fastcall SpeedButton2Click(TObject *Sender);
  void __fastcall RunRealtimeClick(TObject *Sender);
  void __fastcall LockMemoryClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  TList *DataList;
  unsigned int Cycles;
  class TLowResTimer *LRT;
  double MaxTime,MinTime,AveTime,CacheTime;
  int NTime;
  double TTime;
  #ifdef __linux__
  int min_prio,max_prio,def_prio;
  #endif

  __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
 