//
// This program and source are subject to the GPL Open Source License
// Please refer to the following document
// http://www.borland.com/kylix/gpl.html

//---------------------------------------------------------------------------

#ifndef DiskTestFormH
#define DiskTestFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <QButtons.hpp>
#include <QComCtrls.hpp>
#include <QControls.hpp>
#include <QExtCtrls.hpp>
#include <QStdCtrls.hpp>
#include <QTypes.hpp>
#include <QDialogs.hpp>
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
  TBitBtn *RunTestButton;
  TBitBtn *CancelButton;
  TGroupBox *FileSizeBox;
  TTrackBar *FileSizeTB;
  TGroupBox *BufferSizeBox;
  TTrackBar *BufferSizeTB;
  TLabel *Label1;
  TEdit *Edit1;
  TLabel *Label2;
  TEdit *Edit2;
  TLabel *Label3;
  TEdit *Edit3;
  TLabel *Label4;
  TEdit *Edit4;
  TTimer *Timer1;
	TGroupBox *GroupBox1;
	TEdit *Edit5;
	TButton *Button1;
	TOpenDialog *OpenDialog1;
	TCheckBox *RunRealtime;
  void __fastcall FormShow(TObject *Sender);
  void __fastcall FormHide(TObject *Sender);
  void __fastcall RunTestButtonClick(TObject *Sender);
  void __fastcall CancelButtonClick(TObject *Sender);
  void __fastcall FileSizeTBChange(TObject *Sender);
  void __fastcall BufferSizeTBChange(TObject *Sender);
  void __fastcall Timer1Timer(TObject *Sender);
	void __fastcall Button1Click(TObject *Sender);
	void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
	void __fastcall RunRealtimeClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  bool ExitLoop;
  class TLowResTimer *LRT;
  double FileSize;
  int BufferSize;
  double TotalWrite,TotalRead;
  double WriteRate,ReadRate;

  #ifdef __linux__
  int min_prio,max_prio,def_prio;
  WideString FilePath;
  #endif

  #ifdef __WIN32__
  AnsiString FilePath;
  #endif

  __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
 